{
  lib,
  buildPythonApplication,
  fetchFromGitHub,
  setuptools,
  wheel,
  argon2-cffi,
  bencode-py,
  croniter,
  fastapi,
  gitpython,
  humanize,
  pytimeparse2,
  qbittorrent-api,
  requests,
  retrying,
  ruamel-yaml,
  slowapi,
  uvicorn,
}:

buildPythonApplication rec {
  pname = "qbit-manage";
  version = "4.6.3";
  pyproject = true;

  src = fetchFromGitHub {
    owner = "StuffAnThings";
    repo = "qbit_manage";
    rev = "v${version}";
    hash = "sha256-cTxM3nHQQto7lpoNjShYcCbJCSYiwS9bKqw0DWAjw6A=";
  };

  postPatch = ''
    rm LICENSE
  '';

  build-system = [
    setuptools
    wheel
  ];

  dependencies = [
    argon2-cffi
    bencode-py
    croniter
    fastapi
    gitpython
    humanize
    pytimeparse2
    qbittorrent-api
    requests
    retrying
    ruamel-yaml
    slowapi
    uvicorn
  ];

  # Skip runtime dependency check due to version mismatches with nixpkgs
  dontCheckRuntimeDeps = true;

  meta = {
    description = "This tool will help manage tedious tasks in qBittorrent and automate them. Tag, categorize, remove Orphaned data, remove unregistered torrents and much much more";
    homepage = "https://github.com/StuffAnThings/qbit_manage";
    changelog = "https://github.com/StuffAnThings/qbit_manage/blob/${src.rev}/CHANGELOG";
    license = lib.licenses.mit;
    maintainers = with lib.maintainers; [ CaptainJawZ ];
    mainProgram = "qbit-manage";
  };
}
